Skip to main content
POST
/
bases
Create database
curl --request POST \
  --url https://tables.fillout.com/api/v1/bases \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "tables": [
    {
      "name": "<string>",
      "fields": [
        {
          "type": "single_line_text",
          "name": "<string>",
          "template": {}
        }
      ]
    }
  ]
}
'
{ "id": "bad4b276-f604-47ad-86e5-d2ae4f60968f", "name": "<string>", "tables": [ { "id": "<string>", "name": "<string>", "order": 123, "primaryFieldId": "<string>", "fields": [ { "id": "<string>", "name": "<string>", "type": "single_line_text", "template": {}, "order": 123 } ], "views": [ { "id": "<string>", "name": "<string>", "type": "<string>", "config": { "sorts": [ {} ], "hiddenFieldIds": [ "<string>" ], "fieldWidths": {}, "orderedFieldIds": [ "<string>" ] } } ], "url": "https://build.fillout.com/database/bad4b276-f604-47ad-86e5-d2ae4f60968f/tbl_abc123" } ], "createdAt": "2025-10-18T02:08:14.784Z", "updatedAt": "2025-10-18T02:08:14.784Z", "url": "https://build.fillout.com/database/bad4b276-f604-47ad-86e5-d2ae4f60968f", "workspaceId": "<string>" }
Creates a new database with complete table and field structure in a single API call.
  • Each table requires at least one field
  • Table names must be unique within your database
  • Field names must be unique within each table
  • Field types must match the Field Types Reference

Authorizations

Authorization
string
header
required

Enter your Fillout API key. Format: Bearer <api_key>

Body

application/json
name
string
required

Database name

Minimum string length: 1
tables
object[]
required

Array of table definitions to create with the database

Minimum array length: 1

Response

Database created successfully

id
string<uuid>
required

Unique UUID identifier for the database

Example:

"bad4b276-f604-47ad-86e5-d2ae4f60968f"

name
string
required

Name of the database

tables
object[]
required

List of tables in the database

createdAt
string<date-time>
required

ISO timestamp of when the database was created

Example:

"2025-10-18T02:08:14.784Z"

updatedAt
string<date-time>
required

ISO timestamp of when the database was last updated

Example:

"2025-10-18T02:08:14.784Z"

url
string<uri>
required

URL to view this database in the app

Example:

"https://build.fillout.com/database/bad4b276-f604-47ad-86e5-d2ae4f60968f"

workspaceId
string

Workspace ID that owns this database